getEcholinkClockList(data: GetEcholinkClockListParams)

Requires:
@tuya-miniapp/cloud-api≥1.7.3

Description

Retrieve a paginated list of device alarms

Parameters

ParameterTypeRequiredDescription
YesPOST request body parameters, encapsulated by Highway and sent in the body

Return Value

Type: Promise<GetEcholinkClockListResult>
Alarm pagination data; records are in the data field

Referenced Types

typeGetEcholinkClockListResult
EcholinkPageResult<EcholinkClock>

Examples

Request example

import { getEcholinkClockList } from '@tuya-miniapp/cloud-api';

getEcholinkClockList({
  deviceId: '6c2d6c752e72653f12yvh1',
  pageNo: 1,
  pageSize: 100,
}).then(result => {
  console.log(result);
});

Response example

{
  "data": [
    {
      "timeId": "88910275",
      "timingStatus": 0,
      "loops": "0000000",
      "time": "17:45",
      "date": "20261014"
    },
    {
      "timeId": "88910119",
      "timingStatus": 1,
      "loops": "0000000",
      "time": "16:51",
      "date": "20261012"
    }
  ],
  "pageSize": 100,
  "total": 2,
  "pageNo": 1
}